Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Util
Class ConstantGenerator

    java.lang.Object
      Util.ConstantGenerator

    public class ConstantGenerator

extends java.lang.Object

This class is used to generate constants for symbolic regression and the Binomial 3 problem.

Author:
  jbyrne

Field Summary
`protected MersenneTwisterFast` | `m`

Constructor Summary
`ConstantGenerator()`

Method Summary
`float` | `getConstant()` This generates a float constant value
`static int` | `getDecimalPlaces()` This displays the current decimal places (default is 2);
`static int` | `getMod()` This displays the current set modulo value (default is 1000);
`java.lang.String` | `getStringConstant()` This generates a float constant value in a string format
`static void` | `main(java.lang.String[] args)`
`static void` | `setDecimalPlaces(int dp)` This sets the number of decimal places
`static void` | `setMod(int mod)` This sets the modulo value to limit the range

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m

    protected MersenneTwisterFast m

Constructor Detail

### ConstantGenerator

    public ConstantGenerator()

Method Detail

### setMod

    public static void setMod(int mod)

  This sets the modulo value to limit the range

  Parameters:
    `mod` -

### getMod

    public static int getMod()

  This displays the current set modulo value (default is 1000);

  Returns:
    int

### setDecimalPlaces

    public static void setDecimalPlaces(int dp)

  This sets the number of decimal places

  Parameters:
    `dp` - The number of decimal places

### getDecimalPlaces

    public static int getDecimalPlaces()

  This displays the current decimal places (default is 2);

  Returns:
    int

### getConstant

    public float getConstant()

  This generates a float constant value

  Returns:
    float

### getStringConstant

    public java.lang.String getStringConstant()

  This generates a float constant value in a string format

  Returns:
    String

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD